### Enumeration

# Atspi CollectionSortOrder

#### Declaration

    enum Atspi.CollectionSortOrder

#### Description [src]

Enumeration used by interface `AtspiCollection` to specify the way `AtspiAccesible` objects should be sorted.

#### Members

`ATSPI_Collection_SORT_ORDER_INVALID`

  Invalid sort order.

  - Value: `0`
  - Available since: 2.0
`ATSPI_Collection_SORT_ORDER_CANONICAL`

  Canonical sort order.

  - Value: `1`
  - Available since: 2.0
`ATSPI_Collection_SORT_ORDER_FLOW`

  Flow sort order.

  - Value: `2`
  - Available since: 2.0
`ATSPI_Collection_SORT_ORDER_TAB`

  Tab sort order.

  - Value: `3`
  - Available since: 2.0
`ATSPI_Collection_SORT_ORDER_REVERSE_CANONICAL`

  Reverse canonical sort order.

  - Value: `4`
  - Available since: 2.0
`ATSPI_Collection_SORT_ORDER_REVERSE_FLOW`

  Reverse flow sort order.

  - Value: `5`
  - Available since: 2.0
`ATSPI_Collection_SORT_ORDER_REVERSE_TAB`

  Reverse tab sort order.

  - Value: `6`
  - Available since: 2.0
`ATSPI_Collection_SORT_ORDER_LAST_DEFINED`

  Used only to determine the end of the enumeration.

  - Value: `7`
  - Available since: 2.0